<%@ Control Language="C#" ClassName="CuteChatForSharePoint" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="CuteChat" %>

<script runat="server">
    private void Page_Load(object sender, System.EventArgs e)
    {
      
            ArrayList lobbies = new ArrayList();
            foreach (LobbyInfo lobby in ChatApi.GetLobbyInfoArray())
            {
                if (lobby.Lobby.Integration == "" || lobby.Lobby.Integration == null)
                    lobbies.Add(lobby);
            }
            this.DataList_Lobbies.DataSource = lobbies;
            this.DataList_Lobbies.ItemDataBound += new DataListItemEventHandler(rptLobbies_ItemDataBound);
            this.DataList_Lobbies.DataBind();
        

        if (CuteChat.ChatApi.GetLobbyInfoArray().Length < 1)
            Literal1.Text = "<p align='center'><b>Please login as admin and create lobbies in the admin console!</b></p>";
    }


    private void rptLobbies_ItemDataBound(object sender, DataListItemEventArgs e)
    {
        if (e.Item.DataItem == null)
        {
            return;
        }

        LobbyInfo lobby = (LobbyInfo)e.Item.DataItem;


        HyperLink lnkLobby = e.Item.FindControl("lnkLobby") as HyperLink;
        lnkLobby.NavigateUrl = CuteChat.ChatWebUtility.ResolveResource(this.Context, "Channel.Aspx") + "?Place=Lobby-" + lobby.Lobby.LobbyId;
        lnkLobby.Target = "_blank";

        String sOnlineChater = lobby.JoinClient(",");

        Label lblOnlineChater = e.Item.FindControl("lblOnlineChater") as Label;
        lblOnlineChater.Text = lobby.ClientCount.ToString();
        lnkLobby.ToolTip = sOnlineChater;
    }

</script>
<script src="<%=ResolveUrl("LoadSettings.aspx")%>"></script>
<script src="<%=ResolveUrl("LoadScripts.aspx")%>"></script>
<script src="<%=ResolveUrl("script/moderatemode.js")%>"></script>
<table cellspacing="0" cellpadding="0" class="Container"  border="0">
    <tr>
        <td valign="top">
            <table cellspacing="1" cellpadding="5" border="0"  align="center" style="border:solid 1px #cccccc">
                <tr>
                    <td valign="top"  style="height: 30px; border-top:solid 1px #ccccc">
                        Chat
                    </td>
                </tr>
                <tr>
                    <td valign="top" >
                        <table border="0" cellspacing="2" cellpadding="2" width="100%">
                            <tbody>
                                <tr>
                                    <td valign="top">
                                        <asp:DataList ID="DataList_Lobbies" CellSpacing="3" Width="400" RepeatColumns="2"
                                            runat="server">
                                            <ItemTemplate>
                                                <asp:HyperLink ID="lnkLobby" runat="server">
												<nobr><img src="<%=ResolveUrl("images/room.gif")%>" width="49" height="49" border="0" align="middle"><%#DataBinder.Eval(Container.DataItem, "Name")%></nobr>
                                                </asp:HyperLink>
                                                <br>
                                                (
                                                <asp:Label ID="lblOnlineChater" runat="server"></asp:Label>
                                                chatting)
                                            </ItemTemplate>
                                        </asp:DataList>
                                        <asp:Literal ID="Literal1" runat="server" />
                                    </td>
                                    <td valign="top">
                                        <img hspace="20" align="right" src="<%=ResolveUrl("images/cutechat_picture.jpg")%>" height="180" border="0"></td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
